# Uses of Class
org.codehaus.janino.Java.AnonymousClassDeclaration

Packages that use Java.AnonymousClassDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.AnonymousClassDeclaration in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.AnonymousClassDeclaration
Modifier and Type
Field
Description
`final Java.AnonymousClassDeclaration`
Java.NewAnonymousClassInstance.`anonymousClassDeclaration`
The declaration of the anonymous class to instantiate.
Methods in org.codehaus.janino with parameters of type Java.AnonymousClassDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeDeclarationVisitor.`visitAnonymousClassDeclaration(Java.AnonymousClassDeclaration acd)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`
Constructors in org.codehaus.janino with parameters of type Java.AnonymousClassDeclaration
Modifier
Constructor
Description
``
`NewAnonymousClassInstance(Location location, Java.Rvalue qualification, Java.AnonymousClassDeclaration anonymousClassDeclaration, Java.Rvalue[] arguments)`

## Uses of Java.AnonymousClassDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.AnonymousClassDeclaration
Modifier and Type
Method
Description
`Java.AnonymousClassDeclaration`
DeepCopier.`copyAnonymousClassDeclaration(Java.AnonymousClassDeclaration subject)`
Methods in org.codehaus.janino.util with parameters of type Java.AnonymousClassDeclaration
Modifier and Type
Method
Description
`Java.AnonymousClassDeclaration`
DeepCopier.`copyAnonymousClassDeclaration(Java.AnonymousClassDeclaration subject)`
`void`
AbstractTraverser.`traverseAnonymousClassDeclaration(Java.AnonymousClassDeclaration acd)`
`void`
Traverser.`traverseAnonymousClassDeclaration(Java.AnonymousClassDeclaration acd)`